config/routes.rb
Spree::Core::Engine.routes.draw do
  # Override for Production state
  namespace :admin, path: Spree.admin_path do
    resources :orders, except: [:show] do
      get :production, on: :member
      post :set_production, on: :member
    end

    resource :banner_message_settings, only: [:edit, :update] do
    end
  end
end

Spree::Core::Engine.add_routes do
  get '/category/*id', :to => 'taxons#show', :as => :categories
end

app/views/spree/admin/shared/_order_summary.html.erb
<div class="panel panel-default">
  <div class="panel-heading">
    <h3 class="panel-title"><%= Spree.t(:summary) %></h3>
  </div>

  <table class="table table-condensed table-bordered" id="order_tab_summary" data-hook>
    <tbody class="additional-info">
      <tr>
        <td id="order_status" width="35%" data-hook>
          <strong><%= Spree.t(:status) %>:</strong>
        </td>
        <td>
          <span class="state label label-<%= @order.state %>">
            <%= Spree.t(@order.state, scope: :order_state) %>
          </span>
        </td>
      </tr>
      <tr>
        <td data-hook='admin_order_tab_subtotal_title'>
          <strong><%= Spree.t(:subtotal) %>:</strong>
        </td>
        <td id='item_total'>
          <%= @order.display_item_total.to_html %>
        </td>
      </tr>

      <% if @order.checkout_steps.include?("delivery") && @order.ship_total > 0 %>
        <tr>
          <td data-hook='admin_order_tab_ship_total_title'>
            <strong><%= Spree.t(:ship_total) %>:</strong>
          </td>
          <td id='ship_total'>
            <%= @order.display_ship_total.to_html %>
          </td>
        </tr>
      <% end %>

      <% if @order.included_tax_total != 0 %>
        <tr>
          <td data-hook='admin_order_tab_included_tax_title'>
            <strong><%= Spree.t(:tax_included) %>:</strong>
          </td>
          <td id='included_tax_total'>
            <%= @order.display_included_tax_total.to_html %>
          </td>
        </tr>
      <% end %>

      <% if @order.additional_tax_total != 0 %>
        <tr>
          <td data-hook='admin_order_tab_additional_tax_title'>
            <strong><%= Spree.t(:tax) %>:</strong>
          </td>
          <td id='additional_tax_total'>
            <%= @order.display_additional_tax_total.to_html %>
          </td>
        </tr>
      <% end %>

      <tr>
        <td data-hook='admin_order_tab_total_title'>
          <strong><%= Spree.t(:total) %>:</strong>
        </td>
        <td id='order_total'><%= @order.display_total.to_html %></td>
      </tr>

      <% if @order.completed? %>
        <tr>
          <td>
            <strong><%= Spree.t(:shipment) %>:</strong>
          </td>
          <td id='shipment_status'>
            <span class="state label label-<%= @order.shipment_state %>">
              <%= Spree.t(@order.shipment_state, scope: :shipment_states, default: [:missing, "none"]) %>
            </span>
          </td>
        </tr>
        <tr>
          <td>
            <strong><%= Spree.t(:production) %>:</strong>
          </td>
          <td id='production_status'>
            <span class="state label label-<%= @order.production_state %>">
              <%= Spree.t(@order.production_state, scope: :production_states, default: [:missing, "none"]) %>
            </span>
          </td>
        </tr>
        <tr>
          <td>
            <strong><%= Spree.t(:payment) %>:</strong>
          </td>
          <td id='payment_status'>
            <span class="state label label-<%= @order.payment_state %>">
              <%= Spree.t(@order.payment_state, scope: :payment_states, default: [:missing, "none"]) %>
            </span>
          </td>
        </tr>
        <tr>
          <td data-hook='admin_order_tab_date_completed_title'>
            <strong><%= Spree.t(:date_completed) %>:</strong>
          </td>
          <td id='date_complete'>
            <%= pretty_time(@order.completed_at) %>
          </td>
        </tr>
      <% end %>

      <% if @order.approved? %>
        <tr>
          <td><strong><%= Spree.t(:approver) %></strong></td>
          <td><%= @order.approver.try(:email) %></td>
        </tr>
        <tr>
          <td><strong><%= Spree.t(:approved_at) %></strong></td>
          <td><%= pretty_time(@order.approved_at) %></td>
        </tr>
      <% end %>

      <% if @order.canceled? && @order.canceler && @order.canceled_at %>
        <tr>
          <td><strong><%= Spree.t(:canceler) %></strong></td>
          <td><%= @order.canceler.email %></td>
        </tr>
        <tr>
          <td><strong><%= Spree.t(:canceled_at) %></strong></td>
          <td><%= pretty_time(@order.canceled_at) %></td>
        </tr>
      <% end %>
    </tbody>
  </table>
</div>

app/views/spree/admin/shared/_order_tabs.html.erb
<% content_for :page_title do %>
  <%= link_to Spree.t(:orders), admin_orders_path %> /
  <%= link_to @order.number, spree.edit_admin_order_path(@order) %>
<% end %>

<% content_for :sidebar do %>
  <ul class="nav nav-pills nav-stacked" data-hook="admin_order_tabs">
    <% if ((can? :update, @order) && (@order.shipments.size.zero? || @order.shipments.shipped.size.zero?)) %>
      <li<%== ' class="active"' if current == :cart %> data-hook='admin_order_tabs_cart_details'>
        <%= link_to_with_icon 'edit', Spree.t(:cart), cart_admin_order_url(@order) %>
      </li>
    <% end %>

    <% if ((can? :update, @order) && (@order.shipments.size.zero? || @order.shipments.shipped.size.zero?)) %>
      <li<%== ' class="active"' if current == :store %> data-hook='admin_order_tabs_store_details'>
        <%= link_to_with_icon 'home', Spree.t(:store), store_admin_order_url(@order) %>
      </li>
    <% end %>

    <% if can?(:update, @order) && @order.checkout_steps.include?("address") %>
      <li<%== ' class="active"' if current == :customer_details %> data-hook='admin_order_tabs_customer_details'>
        <%= link_to_with_icon 'user', Spree.t(:customer), spree.admin_order_customer_url(@order) %>
      </li>
    <% end %>

    <% if can? :update, @order %>
      <li<%== ' class="active"' if current == :shipments %> data-hook='admin_order_tabs_shipment_details'>
        <%= link_to_with_icon 'road', Spree.t(:shipments), edit_admin_order_url(@order) %>
      </li>
    <% end %>

    <% if can? :update, @order %>
      <li<%== ' class="active"' if current == :production %> data-hook='admin_order_tabs_production_state'>
        <%= link_to_with_icon 'film', Spree.t(:production), production_admin_order_url(@order) %>
      </li>
    <% end %>

    <% if can? :index, Spree::Adjustment %>
      <li<%== ' class="active"' if current == :adjustments %> data-hook='admin_order_tabs_adjustments'>
        <%= link_to_with_icon 'wrench', Spree.t(:adjustments), spree.admin_order_adjustments_url(@order) %>
      </li>
    <% end %>

    <% if can?(:index, Spree::Payment) %>
      <li<%== ' class="active"' if current == :payments %> data-hook='admin_order_tabs_payments'>
        <%= link_to_with_icon 'credit-card', Spree.t(:payments), spree.admin_order_payments_url(@order) %>
      </li>
    <% end %>

    <% if can? :index, Spree::ReturnAuthorization %>
      <% if @order.completed? %>
        <li<%== ' class="active"' if current == :return_authorizations %> data-hook='admin_order_tabs_return_authorizations'>
          <%= link_to_with_icon 'transfer', Spree.t(:return_authorizations), spree.admin_order_return_authorizations_url(@order) %>
        </li>
      <% end %>
    <% end %>

    <% if can? :index, Spree::CustomerReturn %>
      <% if @order.completed? %>
        <li<%== ' class="active"' if current == :customer_returns %>>
          <%= link_to_with_icon 'transfer', Spree.t(:customer_returns), spree.admin_order_customer_returns_url(@order) %>
        </li>
      <% end %>
    <% end %>

    <% if can? :update, @order %>
      <li<%== ' class="active"' if current == :state_changes %> data-hook='admin_order_tabs_state_changes'>
        <%= link_to_with_icon 'refresh', Spree::StateChange.human_attribute_name(:state_changes), spree.admin_order_state_changes_url(@order) %>
      </li>
    <% end %>
  </ul>
<% end %>